package org.ferris.bible.jmce.schedule;

import java.util.HashMap;

import org.ferris.bible.jmce.daily.DailyCalendar;
import org.ferris.bible.jmce.daily.DailyReadings;
import org.ferris.bible.jmce.daily.DailyReadingsFactory;

public class ReadingSchedule extends HashMap<DailyCalendar, DailyReadings> 
{
	private static final long serialVersionUID = 5600988569878240669L;
	
	public DailyReadings get(DailyCalendar key) 
	{
		DailyReadings readings
			= super.get(key);
		
		if (readings == null) {
			readings = DailyReadingsFactory.getDailyReadings();
		}
		
		return readings;
		
	}

}
